Bug 506768 - cman_tool leave remove does not reduce quorum
cman_tool leave remove does not reduce quorum
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.3
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Christine Caulfield
Cluster QE
: ZStream
Depends On: 505258
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 11:46 EDT by Benjamin Kahn
Modified: 2016-04-26 10:14 EDT (History)
8 users (show)

See Also:
Fixed In Version: cman-2.0.98-1.el5_3.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-03 03:40:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Kahn 2009-06-18 11:46:38 EDT
This bug has been copied from bug #505258 and has been proposed
to be backported to 5.3 z-stream (EUS).
Comment 4 Christine Caulfield 2009-06-22 04:06:52 EDT
commit 54abe6db5a5bd10f8958732b938d9c09cb23e566
Author: Christine Caulfield <ccaulfie@redhat.com>
Date:   Tue Jan 20 14:14:26 2009 +0000

    cman: send fewer messages for each state transition.
    
    Only recalculate quorum (and tell everyone the result) if a node state
    has actually changed.
    
    bz#506768
    Signed-off-by: Christine Caulfield <ccaulfie@redhat.com>
Comment 7 Nate Straz 2009-07-30 16:41:17 EDT
After the clarification from Chrissie in bug 505258, I verified this against cman-2.0.98-1.el5_3.7.
Comment 9 errata-xmlrpc 2009-08-03 03:40:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1192.html

Note You need to log in before you can comment on or make changes to this bug.